- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.conversations.participants/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.conversations.participants/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.conversations.participants/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.conversations.participants/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.conversations.participants/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.conversations.participants/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.conversations.participants/list#try-it)

Returns the list of all participants in the specified conversation.

### HTTP request

Choose an endpoint:
global   
`GET https://dialogflow.googleapis.com/v2beta1/{parent=projects/*/locations/*/conversations/*}/participants`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`GET https://{endpoint}/v2beta1/{parent=projects/*/locations/*/conversations/*}/participants`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The conversation to list all participants from. Format: `projects/<Project ID>/locations/<Location ID>/conversations/<Conversation ID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dialogflow.participants.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return in a single page. By default 100 and at most 1000. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous list request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/ListParticipantsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).